# sc::LocalSCVector Class Reference

Inheritance diagram for sc::LocalSCVector:

List of all members.

## Public Member Functions

| LocalSCVector (const RefSCDimension &, LocalSCMatrixKit *)
void | assign_val (double)
| Overridden to implement the assign functions.
void | assign_v (SCVector *)
void | assign_p (const double *)
void | set_element (int, double)
| Set element i to val.
void | accumulate_element (int, double)
| Add val to element i.
double | get_element (int) const
| Return the value of element i.
void | accumulate_product_sv (SymmSCMatrix *, SCVector *)
void | accumulate_product_rv (SCMatrix *, SCVector *)
void | accumulate (const SCVector *)
| Sum v into this.
void | accumulate (const SCMatrix *)
| Sum m into this. One of m's dimensions must be 1.
double | scalar_product (SCVector *)
| Return the dot product.
void | element_op (const Ref< SCElementOp > &)
| Perform the element operation op on each element of this.
void | element_op (const Ref< SCElementOp2 > &, SCVector *)
void | element_op (const Ref< SCElementOp3 > &, SCVector *, SCVector *)
void | vprint (const char *title=0, std::ostream &out=ExEnv::out0(), int=10) const
double * | get_data ()
Ref< SCMatrixSubblockIter > | local_blocks (SCMatrixSubblockIter::Access)
| Returns iterators for the local (rapidly accessible) blocks used in this vector.
Ref< SCMatrixSubblockIter > | all_blocks (SCMatrixSubblockIter::Access)
| Returns iterators for the all blocks used in this vector.

## Friends

class | LocalSCMatrix
class | LocalSymmSCMatrix
class | LocalDiagSCMatrix

## Member Function Documentation

Ref<SCMatrixSubblockIter> sc::LocalSCVector::local_blocks | ( | SCMatrixSubblockIter::Access |  | ) | `[virtual]`

Returns iterators for the local (rapidly accessible) blocks used in this vector.

Only one iterator is allowed for a matrix is it has Accum or Write access is allowed. Multiple Read iterators are permitted.

Implements sc::SCVector.

The documentation for this class was generated from the following file:

- local.h